Create an alert
curl --request POST \
--url https://api.togai.com/alerts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"alertTemplateId": "abcd-efgh-ijkl-mnop",
"interval": "30",
"entityDetails": {
"usageMeterId": "um.1zYnCiM9Bpg.lv25y"
},
"ownerDetails": {
"accountId": "account_1"
},
"parameters": {
"threshold": 10
}
}
'import requests
url = "https://api.togai.com/alerts"
payload = {
"alertTemplateId": "abcd-efgh-ijkl-mnop",
"interval": "30",
"entityDetails": { "usageMeterId": "um.1zYnCiM9Bpg.lv25y" },
"ownerDetails": { "accountId": "account_1" },
"parameters": { "threshold": 10 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alertTemplateId: 'abcd-efgh-ijkl-mnop',
interval: '30',
entityDetails: {usageMeterId: 'um.1zYnCiM9Bpg.lv25y'},
ownerDetails: {accountId: 'account_1'},
parameters: {threshold: 10}
})
};
fetch('https://api.togai.com/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "alert.1zYnCiM9Bpg.lv25y",
"version": 1,
"alertId": "alert.1zYnCiM9Bpg.lv25y",
"description": "Alert1 Description",
"cronInterval": "30",
"ownerDetails": {
"accountId": "account_1"
},
"entityDetails": {
"usageMeterId": "um.1zYnCiM9Bpg.lv25y"
},
"parameters": {
"threshold": 10
},
"status": "ACTIVE",
"createdAt": "2020-01-01T00:00:00Z",
"updatedAt": "2020-01-01T00:00:00Z"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Alerts
Create an alert
Create an alert
POST
/
alerts
Create an alert
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Payload to install an alert
Available options:
ACTIVE, INACTIVE Validity of the alert in minutes, if null then alert will be valid forever
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Response for install alert request
Alert ID
Alert Version
Available options:
ACTIVE, INACTIVE Alert Template Id
Interval
Created At
Alert Description
Validity of the alert in minutes, if null then alert will be valid forever
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Updated At
⌘I
